#
# spec file for package tegrarcm
#
# Copyright (c) 2014 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           tegrarcm
Url:            https://github.com/NVIDIA/tegrarcm
Summary:        This program is used to send code to a Tegra device in recovery mode
License:        SUSE-Firmware and BSD-3-Clause
Group:          System/Base
Version:        1.7
Release:        lp150.2.5
Source:         %name-%version.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildRequires:  autoconf
BuildRequires:  automake
BuildRequires:  libtool
BuildRequires:  gcc-c++
BuildRequires:  pkgconfig
BuildRequires:  pkgconfig(libusb)
BuildRequires:  pkgconfig(cryptopp)

%description
This program is used to send code to a Tegra device in recovery mode.
It does not supported locked devices with an encrypted boot key, only
open devices such as the ventana, cardhu, or dalmore reference boards.
It is not capable of flashing firmware to a device, but can be used to
download firmware that is then capable of flashing.  For example in
ChromeOS tegrarcm is used to download a special build of u-boot to the
target Tegra device with a payload that it then flashes to the boot
device.

Platforms supported:
-Tegra20
-Tegra30
-Tegra114

%prep
%setup -q

%build
sh -x autogen.sh
%configure
make %{?_smp_mflags}

%install
%make_install

%files
%defattr(-, root, root)
%doc README LICENSE
%_bindir/tegrarcm
%_mandir/man1/tegrarcm.1*

%changelog
* Wed Oct 28 2015 zombah@gmail.com
- Use rpm defaults for %%clean variable in spec file
* Tue Oct 20 2015 zombah@gmail.com
- Update to tegrarcm version 1.7
  * Documented patch submission process in README file
  * Added better USB debugging message
  * Require a specific minimum version of libusb
  * Added --usb-port-path cmdline option
* Fri Nov 21 2014 zombah@gmail.com
- Add changes file
* Fri Nov 21 2014 zombah@gmail.com
- Initial commit of version 1.6
